Show / Hide Table of Contents

# Struct ImGuiWindowClass

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiWindowClass

### Fields

| Improve this Doc View Source

#### ClassId

##### Declaration

    public uint ClassId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### DockingAllowUnclassed

##### Declaration

    public byte DockingAllowUnclassed

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### DockingAlwaysTabBar

##### Declaration

    public byte DockingAlwaysTabBar

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### DockNodeFlagsOverrideClear

##### Declaration

    public ImGuiDockNodeFlags DockNodeFlagsOverrideClear

##### Field Value

Type | Description
--- | ---
ImGuiDockNodeFlags |

| Improve this Doc View Source

#### DockNodeFlagsOverrideSet

##### Declaration

    public ImGuiDockNodeFlags DockNodeFlagsOverrideSet

##### Field Value

Type | Description
--- | ---
ImGuiDockNodeFlags |

| Improve this Doc View Source

#### ParentViewportId

##### Declaration

    public uint ParentViewportId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### TabItemFlagsOverrideSet

##### Declaration

    public ImGuiTabItemFlags TabItemFlagsOverrideSet

##### Field Value

Type | Description
--- | ---
ImGuiTabItemFlags |

| Improve this Doc View Source

#### ViewportFlagsOverrideClear

##### Declaration

    public ImGuiViewportFlags ViewportFlagsOverrideClear

##### Field Value

Type | Description
--- | ---
ImGuiViewportFlags |

| Improve this Doc View Source

#### ViewportFlagsOverrideSet

##### Declaration

    public ImGuiViewportFlags ViewportFlagsOverrideSet

##### Field Value

Type | Description
--- | ---
ImGuiViewportFlags |